package com.virtual.plat.server.vmware;

import com.virtual.common.AppException;
import com.virtual.common.FuncUtil;
import com.virtual.plat.server.RequestData;
import com.virtual.plat.server.vm.vmware.HypervisorException;
import com.virtual.plat.server.vmware.VMwareHandler;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class VMwareRequestProcessor implements Runnable {

   private static Log a = LogFactory.getLog(VMwareRequestProcessor.class);
   private VMwareHandler b = null;
   private RequestData c = null;


   public VMwareRequestProcessor(RequestData var1, VMwareHandler var2) {
      this.b = var2;
      this.c = var1;
   }

   public void run() {
      try {
         a.info("Request type:" + FuncUtil.convertTaskType(this.c.getRequestType()));
         switch(this.c.getRequestType()) {
         case 20:
            this.b.createDomain(this.c);
            break;
         case 21:
         case 30:
         case 31:
         case 32:
         case 33:
         case 36:
            this.b.operatorDomain(this.c.getData(), this.c.getLoginName(), this.c.getUserName(), this.c.getIpAddress());
            break;
         case 38:
            this.b.migrateDomain(this.c);
            break;
         case 42:
            this.b.createSnapshot(this.c.getData(), this.c.getLoginName(), this.c.getUserName(), this.c.getIpAddress());
            break;
         case 45:
            this.b.cloneDomainToTemplate(this.c.getData(), this.c.getLoginName(), this.c.getUserName(), this.c.getIpAddress());
            break;
         case 47:
            this.b.deployDomain(this.c);
            break;
         case 1000:
            this.b.reconfigVsphereHA(this.c);
            break;
         case 1001:
            this.b.reconfigVsphereDRS(this.c);
         default:
            return;
         }
      } catch (AppException var2) {
         a.error((Object)null, var2);
         return;
      } catch (HypervisorException var3) {
         a.error((Object)null, var3);
         return;
      } catch (Exception var4) {
         a.error((Object)null, var4);
      }

   }

}
